=== added directory 'validate_stock_picking'
=== added file 'validate_stock_picking/__init__.py'
--- validate_stock_picking/__init__.py	1970-01-01 00:00:00 +0000
+++ validate_stock_picking/__init__.py	2013-06-16 05:19:51 +0000
@@ -0,0 +1,1 @@
+import wizard

=== added file 'validate_stock_picking/__openerp__.py'
--- validate_stock_picking/__openerp__.py	1970-01-01 00:00:00 +0000
+++ validate_stock_picking/__openerp__.py	2013-06-16 05:19:51 +0000
@@ -0,0 +1,53 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+{
+    'name' : 'Validate Stock Picking',
+    'version' : '0.1',
+    'author' : 'Vauxoo',
+    'category' : 'Stock',
+    'description' : """
+Validate Multiples Stock Picking
+================================
+
+Select stock picking from tree view and dropdown action menu to select wizard
+and validate picking selected
+
+    """,
+    'website': 'http://www.vauxoo.com',
+    'images' : [],
+    'depends' : ['stock'],
+    'data': [
+        'wizard/validate_picking_view.xml',
+],
+    'js': [
+],
+    'qweb' : [
+],
+    'css':[
+],
+    'demo': [
+],
+    'test': [
+],
+    'installable': True,
+    'auto_install': False,
+}
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== added directory 'validate_stock_picking/data'
=== added directory 'validate_stock_picking/demo'
=== added directory 'validate_stock_picking/i18n'
=== added file 'validate_stock_picking/i18n/es.po'
--- validate_stock_picking/i18n/es.po	1970-01-01 00:00:00 +0000
+++ validate_stock_picking/i18n/es.po	2013-06-16 05:19:51 +0000
@@ -0,0 +1,75 @@
+# Translation of OpenERP Server.
+# This file contains the translation of the following modules:
+#	* validate_stock_picking
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: OpenERP Server 7.0\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2013-06-16 05:16+0000\n"
+"PO-Revision-Date: 2013-06-16 05:16+0000\n"
+"Last-Translator: <>\n"
+"Language-Team: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: \n"
+"Plural-Forms: \n"
+
+#. module: validate_stock_picking
+#: field:validate.picking.wz,sure:0
+msgid "Sure"
+msgstr "Seguro?"
+
+#. module: validate_stock_picking
+#: field:validate.picking.wz,confirm:0
+msgid "Confirm"
+msgstr "Confirme"
+
+#. module: validate_stock_picking
+#: model:ir.actions.act_window,name:validate_stock_picking.validate_stock_picking_action
+#: model:ir.actions.act_window,name:validate_stock_picking.validate_stock_picking_action_in
+#: model:ir.actions.act_window,name:validate_stock_picking.validate_stock_picking_action_out
+#: view:validate.picking.wz:0
+msgid "Validate Picking"
+msgstr "Validar Albaranes"
+
+#. module: validate_stock_picking
+#: view:validate.picking.wz:0
+msgid "You need select both confirmation checkbox\n"
+"                 When you press Validate Picking button the picking selected will be validates and receiveds"
+msgstr "Usted necesita seleccionar ambos checkbos de confirmación para estar segro de la operación\n"
+"                 Cuando usted presione el boton Validar Alabaran sera validados todos los albaranes que usted ha seleccionado"
+
+#. module: validate_stock_picking
+#: model:ir.model,name:validate_stock_picking.model_validate_picking
+msgid "validate.picking"
+msgstr "validate.picking"
+
+#. module: validate_stock_picking
+#: code:addons/validate_stock_picking/wizard/validate_picking.py:71
+#, python-format
+msgid "Error"
+msgstr "Error"
+
+#. module: validate_stock_picking
+#: code:addons/validate_stock_picking/wizard/validate_picking.py:72
+#, python-format
+msgid "Please select the checkbox"
+msgstr "Por favor selecciona los checkbox"
+
+#. module: validate_stock_picking
+#: view:validate.picking.wz:0
+msgid "Close"
+msgstr "Cerrar"
+
+#. module: validate_stock_picking
+#: help:validate.picking.wz,confirm:0
+#: help:validate.picking.wz,sure:0
+msgid "Are sure this operation"
+msgstr "Esta seguro de esta operación"
+
+#. module: validate_stock_picking
+#: model:ir.model,name:validate_stock_picking.model_validate_picking_wz
+msgid "validate.picking.wz"
+msgstr "validate.picking.wz"
+

=== added file 'validate_stock_picking/i18n/es_MX.po'
--- validate_stock_picking/i18n/es_MX.po	1970-01-01 00:00:00 +0000
+++ validate_stock_picking/i18n/es_MX.po	2013-06-16 05:19:51 +0000
@@ -0,0 +1,75 @@
+# Translation of OpenERP Server.
+# This file contains the translation of the following modules:
+#	* validate_stock_picking
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: OpenERP Server 7.0\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2013-06-16 05:16+0000\n"
+"PO-Revision-Date: 2013-06-16 05:16+0000\n"
+"Last-Translator: <>\n"
+"Language-Team: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: \n"
+"Plural-Forms: \n"
+
+#. module: validate_stock_picking
+#: field:validate.picking.wz,sure:0
+msgid "Sure"
+msgstr "Seguro?"
+
+#. module: validate_stock_picking
+#: field:validate.picking.wz,confirm:0
+msgid "Confirm"
+msgstr "Confirme"
+
+#. module: validate_stock_picking
+#: model:ir.actions.act_window,name:validate_stock_picking.validate_stock_picking_action
+#: model:ir.actions.act_window,name:validate_stock_picking.validate_stock_picking_action_in
+#: model:ir.actions.act_window,name:validate_stock_picking.validate_stock_picking_action_out
+#: view:validate.picking.wz:0
+msgid "Validate Picking"
+msgstr "Validar Albaranes"
+
+#. module: validate_stock_picking
+#: view:validate.picking.wz:0
+msgid "You need select both confirmation checkbox\n"
+"                 When you press Validate Picking button the picking selected will be validates and receiveds"
+msgstr "Usted necesita seleccionar ambos checkbos de confirmación para estar segro de la operación\n"
+"                 Cuando usted presione el boton Validar Alabaran sera validados todos los albaranes que usted ha seleccionado"
+
+#. module: validate_stock_picking
+#: model:ir.model,name:validate_stock_picking.model_validate_picking
+msgid "validate.picking"
+msgstr "validate.picking"
+
+#. module: validate_stock_picking
+#: code:addons/validate_stock_picking/wizard/validate_picking.py:71
+#, python-format
+msgid "Error"
+msgstr "Error"
+
+#. module: validate_stock_picking
+#: code:addons/validate_stock_picking/wizard/validate_picking.py:72
+#, python-format
+msgid "Please select the checkbox"
+msgstr "Por favor selecciona los checkbox"
+
+#. module: validate_stock_picking
+#: view:validate.picking.wz:0
+msgid "Close"
+msgstr "Cerrar"
+
+#. module: validate_stock_picking
+#: help:validate.picking.wz,confirm:0
+#: help:validate.picking.wz,sure:0
+msgid "Are sure this operation"
+msgstr "Esta seguro de esta operación"
+
+#. module: validate_stock_picking
+#: model:ir.model,name:validate_stock_picking.model_validate_picking_wz
+msgid "validate.picking.wz"
+msgstr "validate.picking.wz"
+

=== added directory 'validate_stock_picking/model'
=== added directory 'validate_stock_picking/report'
=== added directory 'validate_stock_picking/security'
=== added directory 'validate_stock_picking/view'
=== added directory 'validate_stock_picking/wizard'
=== added file 'validate_stock_picking/wizard/__init__.py'
--- validate_stock_picking/wizard/__init__.py	1970-01-01 00:00:00 +0000
+++ validate_stock_picking/wizard/__init__.py	2013-06-16 05:19:51 +0000
@@ -0,0 +1,1 @@
+import validate_picking

=== added file 'validate_stock_picking/wizard/validate_picking.py'
--- validate_stock_picking/wizard/validate_picking.py	1970-01-01 00:00:00 +0000
+++ validate_stock_picking/wizard/validate_picking.py	2013-06-16 05:19:51 +0000
@@ -0,0 +1,73 @@
+#!/usr/bin/python
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
+#    All Rights Reserved
+# Credits######################################################
+#    Coded by: Vauxoo C.A.
+#    Planified by: Nhomar Hernandez
+#    Audited by: Vauxoo C.A.
+#############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+##########################################################################
+
+from openerp.osv import osv, fields
+import openerp.tools as tools
+from openerp.tools.translate import _
+
+from openerp import netsvc
+
+wf_service = netsvc.LocalService("workflow")
+class validate_picking(osv.TransientModel):
+
+    _name = 'validate.picking.wz'
+
+    _columns = {
+        'sure': fields.boolean('Sure', help="Are sure this operation"),
+        'confirm': fields.boolean('Confirm', help="Are sure this operation"),
+    }
+
+
+    def validate_picking(self, cr, uid, ids, context=None):
+        if context is None:
+            context = {}
+
+        stock_obj = self.pool.get('stock.picking')
+        do_partial = self.pool.get('stock.partial.picking')
+        
+        copy_ctx = context.copy()
+        
+        for wzr_brw in self.browse(cr, uid, ids, context=context):
+            if wzr_brw.sure and wzr_brw.confirm:
+                if context.get('active_ids'):
+                    stock_obj.draft_validate(cr, uid, context.get('active_ids'))
+                    for pick in stock_obj.browse(cr, uid,
+                                                 context.get('active_ids'),
+                                                 context=context):
+                        copy_ctx.update({'active_ids':[pick.id]})
+                        dicts = do_partial.default_get(cr, uid, 
+                                                       ['picking_id',
+                                                        'move_ids',
+                                                        'date'], copy_ctx)
+                        dicts.get('move_ids') and \
+                          dicts.update({'move_ids':[(0,0, i) \
+                                              for i in dicts.get('move_ids')]})
+                        partial_id = do_partial.create(cr, uid, dicts)
+                        do_partial.do_partial(cr, uid,
+                                             [partial_id], copy_ctx)
+            else:
+                raise osv.except_osv(_('Error'),
+                                               _('Please select the checkbox'))
+        return {'type': 'ir.actions.act_window_close'}

=== added file 'validate_stock_picking/wizard/validate_picking_view.xml'
--- validate_stock_picking/wizard/validate_picking_view.xml	1970-01-01 00:00:00 +0000
+++ validate_stock_picking/wizard/validate_picking_view.xml	2013-06-16 05:19:51 +0000
@@ -0,0 +1,50 @@
+<?xml version='1.0' encoding='utf-8'?>
+<openerp>
+<data>
+
+    <record id="validate_stock_picking_form_wz" model="ir.ui.view">
+          <field name="name">Validate Picking</field>
+          <field name="model">validate.picking.wz</field>
+          <field name="arch" type="xml">
+            <form string="Validate Picking" version="7.0">
+            <field name="sure"/>
+            <field name="confirm"/>
+           <p class="oe_view_nocontent_create">
+                 You need select both confirmation checkbox
+                 When you press Validate Picking button the picking selected will be validates and receiveds
+           </p>
+            <button icon="gtk-cancel" special="cancel" string="Close"/>
+            <button name="validate_picking" string="Validate Picking" type="object"/>
+                </form>
+          </field>
+    </record>
+
+<act_window name="Validate Picking"
+            key2="client_action_multi"
+            res_model="validate.picking.wz"
+            src_model="stock.picking"
+            view_mode="form"
+            view_type="form"
+            target="new"
+            id="validate_stock_picking_action"/>
+
+<act_window name="Validate Picking"
+            key2="client_action_multi"
+            res_model="validate.picking.wz"
+            src_model="stock.picking.in"
+            view_mode="form"
+            view_type="form"
+            target="new"
+            id="validate_stock_picking_action_in"/>
+
+<act_window name="Validate Picking"
+            key2="client_action_multi"
+            res_model="validate.picking.wz"
+            src_model="stock.picking.out"
+            view_mode="form"
+            view_type="form"
+            target="new"
+            id="validate_stock_picking_action_out"/>
+
+</data>
+</openerp>

